Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Test::Builder::Tester::Color

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Test::Builder::Tester::Color

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR
- BUGS
- SEE ALSO

# NAME

Test::Builder::Tester::Color - turn on colour in Test::Builder::Tester

# SYNOPSIS

       When running a test script     perl -MTest::Builder::Tester::Color test.t

# DESCRIPTION

Importing this module causes the subroutine color in Test::Builder::Tester to be called with a true value causing colour highlighting to be turned on in debug output.

The sole purpose of this module is to enable colour highlighting from the command line.

# AUTHOR

Copyright Mark Fowler <mark@twoshortplanks.com> 2002.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

# BUGS

This module will have no effect unless Term::ANSIColor is installed.

# SEE ALSO

Test::Builder::Tester, Term::ANSIColor

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR
- BUGS
- SEE ALSO